Bug 18279

Summary: [4.0/4.1 regression] missing function bodies from -fdump-translation-unit
Product: gcc Reporter: Gabriel Dos Reis <gdr>
Component: c++Assignee: Not yet assigned to anyone <unassigned>
Status: RESOLVED FIXED    
Severity: normal CC: gcc-bugs
Priority: P3    
Version: 4.0.0   
Target Milestone: 4.1.0   
Host: Target:
Build: Known to work: 3.4.0
Known to fail: 4.0.0 Last reconfirmed: 2005-06-04 17:01:33

Description Gabriel Dos Reis 2004-11-02 19:56:54 UTC
GCC-4.0.0 has a regression in that -fdump-translation-unit no longer output
function bodies.  
Tentative patch at

  http://gcc.gnu.org/ml/gcc-bugs/2004-07/msg03341.html
Comment 1 Steven Bosscher 2004-12-12 19:49:29 UTC
Regression, so marking as one.
Comment 2 Mark Mitchell 2004-12-14 19:42:18 UTC
This is a low-priority issue.
Comment 3 Mark Mitchell 2005-01-19 18:45:46 UTC
This option is only designed for use in debugging the compiler.  As it's not
designed for use by end-users, I've removed the target milestone. 
Comment 4 CVS Commits 2005-07-03 01:15:27 UTC
Subject: Bug 18279

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	gdr@gcc.gnu.org	2005-07-03 01:15:01

Modified files:
	gcc            : ChangeLog c-decl.c tree-dump.c 

Log message:
	PR c++/18279
	* c-decl.c (c_write_global_declarations): Dump contents of
	external scope to.
	* tree-dump.c (dequeue_and_dump): Dump abstract origin of a
	decl.
	<TRY_FINALLY_EXPR>, <RETURN_EXPR>, <CASE_LABEL_EXPR>,
	<LABEL_EXPR>,
	<GOTO_EXPR>, <SWITCH_EXPR>: Add.
	(dump_enabled_p): Return TRUE if PHASE is TDI_all and any dump
	is enabled.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.9322&r2=2.9323
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/c-decl.c.diff?cvsroot=gcc&r1=1.671&r2=1.672
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/tree-dump.c.diff?cvsroot=gcc&r1=1.43&r2=1.44

Comment 5 Gabriel Dos Reis 2005-07-03 15:37:56 UTC
fixed for 4.1.0